Skip to main content
PATCH
Update a project

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

Body

application/json
updateMask
string[]
required

Array of field paths specifying which fields to update. Each path must have a corresponding value in the project object. A field included in project but not listed here will be ignored. Allowed values:

  • appName - the display name of the application, shown to end users during the connection flow.
  • name - the unique project identifier (must be unique within your organization).
Example:
project
object
required

The project fields to update. Only fields whose paths are listed in updateMask will be applied; all other fields in this object are ignored.

Response

The updated project.

id
string
required

The unique identifier for the project.

Example:

"proj_9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

name
string
required

The unique name for the project.

Example:

"mailmonkey-staging"

appName
string
required

The display name of the application, shown to end users during the connection flow.

Example:

"MailMonkey"

orgId
string
required

The ID of the organization that this project belongs to.

Example:

"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

createTime
string<date-time>
required

The time the project was created.

updateTime
string<date-time>

The time the project was updated.

entitlements
object

Plan-based feature flags for the project. These are managed by Ampersand and cannot be set via the API.